Bug 137872 - "ValueError: empty string for float()"
"ValueError: empty string for float()"
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-02 09:05 EST by Jay Turner
Modified: 2015-01-07 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 15:17:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2004-11-02 09:05:29 EST
Description of problem:
With system-config-lvm-0.9.6-1.0, I'm getting the following traceback
when attempting to create a logical volume of size 500k.

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 560, in
on_ok_new_lv_button
    proposed_size = float(prop_size)
ValueError: empty string for float()

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to the Logical Volume view of a VG
2. Click "Create New Logical Volume"
3. Enter size as 500k then attempt to create the new LV
  
Actual results:


Expected results:
I don't get the same traceback if I specify the LV size in megabytes.

Additional info:
Comment 1 Jim Parsons 2004-11-09 23:37:25 EST
This was a regression - fixed @ 0.9.7-1.0
Refactored the way size/units are handled in LV creation, as in bz137930
Comment 2 Derek Anderson 2004-11-11 15:17:47 EST
Verified in system-config-lvm-0.9.8-1.0.

However, now you get an error if the size is specified as a float. 
That is bug #138887.

Note You need to log in before you can comment on or make changes to this bug.